Subject: bug#2891: closed (Re: bug#43480: 27.1; Default font size not saving on Mac)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 22 Sep 2020 12:44:03 +0000

Your bug report

#43480: 23.0.92; 'Save Options' does not save font setting

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43480: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43480
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43480: 27.1; Default font size not saving on Mac
From: Alan Third <[email-masked]>
To: Germain Le Chapelain <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: Tue, 22 Sep 2020 13:43:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Sep 18, 2020 at 09:38:31AM -0700, Germain Le Chapelain wrote:
> 
> > It's actually down to the way the font picker on macOS is implemented,
> > I believe. I've tried in the past to work out how to make it match the
> > other terms, but have had no luck.
> > 
> > Although a quick search shows David Reitter provided some code before:
> > 
> >    https://lists.gnu.org/archive/html/bug-gnu-emacs/2009-04/msg00704.html
> > 
> > I've no idea if that works.
> 
> Yes it does!
> 
> I am saved!  Ty kindly all!

Although I'm not 100% sure what that code is doing (Customize is
completely foreign to me) I've pushed the code to master under David's
name:

c5c29a9f0f60321304125a1f3b991ce724d868cc
Author:     David Reitter <[email-masked]>
AuthorDate: Tue Sep 22 13:38:16 2020 +0100
Fix font-panel on NS (bug#43480)

So I'm closing this bug (and I guess the millions of merged bugs we've
accrued over the years).
-- 
Alan Third

Subject: 23.0.92; 'Save Options' does not save font setting
From: Leo <[email-masked]>
To: [email-masked]
Date: Sun, 05 Apr 2009 16:01:42 +0100

I customise the font in Emacs.app by using ns-popup-font-panel and then
Menu > Options > Save Options. I check the custom file to find the no
options related to font are saved. I seem mto recall that font setting
is supposed to be saved.

In GNU Emacs 23.0.92.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
 of 2009-04-01 on 64-71-7-219.static.wiline.com
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  diff-auto-refine-mode: t
  paredit-mode: t
  dired-omit-mode: t
  recentf-mode: t
  icomplete-mode: t
  savehist-mode: t
  display-time-mode: t
  xterm-mouse-mode: t
  delete-selection-mode: t
  global-auto-revert-mode: t
  minibuffer-depth-indicate-mode: t
  which-function-mode: t
  show-paren-mode: t
  rcirc-track-minor-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t